Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: Jak posługiwać się programem PAK?  (Przeczytany 1392 razy)

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #30 dnia: Kwiecień 01, 2020, 12:01:52 pm »
Gdzie należy zmienić w pak.conf aby repozytoria POLAUR nie były umieszczane w katalogu .cache tylko dajmy na to w .config/pak?
Opisane. W pliku pak.conf, najlepiej "własnym", czyli tym w ~/.config. Opis jest oczywiście pod: man pak.conf

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #31 dnia: Kwiecień 01, 2020, 10:42:45 pm »
@pavbaranov
Ciekawiej mi sie porobiło na netbooku.
polecenie [pak -Syu] rozpoczyna aktualizacje, a po stwierdzeniu, że "nic nie ma do zrobienia",
zaczyna instalować pakiet [python2-gnomekeyring] po czym wyrzuca bład. Jest tak:


"Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia

:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji

:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD

:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana"


O co chodzi?

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #32 dnia: Kwiecień 02, 2020, 02:52:38 am »
Cytuj
polecenie [pak -Syu] rozpoczyna aktualizacje, a po stwierdzeniu, że "nic nie ma do zrobienia",
zaczyna instalować pakiet [python2-gnomekeyring]
Nic tu ciekawego nie widzę. Stwierdza, że "nic nie ma do zrobienia", albowiem nie istnieje żadna paczka z repozytoriów, które masz udostępnione w tym netbooku do aktualizacji. I na 100% nie "zaczyna instalować pakiet python2-gnomekeyring", albowiem pak niczego nie zainstaluje, jeśli tego nie chcesz. Zaczyna zatem - po Twoim potwierdzeniu, bo inaczej się nie da, aktualizować paczkę, którą zainstalowałeś w swoim systemie, a która pochodzi z AUR (nie wiem do czego Ci ona potrzebna, ale to już nie jest moja sprawa).
Cytuj
po czym wyrzuca bład. Jest tak:
"Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia
I tak ma być. Pisałem już - pak uniemożliwia częściową aktualizację, a zatem przed każdą instalacją/aktualizacją paczek z AUR (POLAUR) dokonuje wpierw sprawdzenia, czy jakieś paczki nie są do aktualizacji z repozytorium, a dopiero potem buduje paczkę z AUR (POLAUR).
Cytuj
:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji
I tu nic ciekawego nie widzę. Pak wyświetlił Ci komentarze, których nie ma.
Cytuj
:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD
Cóż - zaniedbanie opiekuna PKGBUILDu. Nie odpowiadamy za ich jakość.
Cytuj
:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana"

O co chodzi?
No chodzi dokładnie o do co zostało Ci napisane. Pakiet gnome-python-desktop, który jest budowany z AUR wymaga jakichś zależności. Pak przeszukał czy istnieją one w repozytoriach i poinformował Cię, że ich nie ma. Poinformował również, że zależnościami tymi są:
- gnome-python
- python2-wnck
- gnome-python (tu nie wiem dlaczego po raz drugi, wygląda to na tę samą paczkę, co wyżej).
Poinformował również, że aby zbudować z AUR paczkę gnome-python-desktop, wcześniej musisz zbudować z AUR paczki gnome-python i python2-wnck. Pak nie otrzymał i nie otrzyma w dającej się przewidzieć przyszłości, funkcjonalności tzw. kaskadowego budowania paczek zależnych z AUR/POLAUR. Informuje o takiej konieczności, informuje gdzie możesz sobie to sprawdzić, co do budowy jest konieczne.
Innymi słowy jeśli paczka P jest w AUR oparta jest o paczki A, B, C z czego wyłącznie A jest w repozytorium, to paczka A zostanie zainstalowana, ale paczki B i C będziesz musiał zbudować i zainstalować przed budową i instalacją paczki P. Jeśli paczki B i/lub C są oparte o inne jeszcze paczki do zbudowania z AUR, to historia się powtórzy.

I nie - nie ma co prosić o tę kaskadową budowę paczek z AUR/POLAUR. Sprawa została przeanalizowana. Pierdyliard roboty dla Damiana, a efekt tego i tak bardzo mizerny i nieobliczalny raczej. Cóż - zawsze powtarzam: po instalacji pierwszej paczki z AUR (POLAUR) osoba, która tego dokonała staje się odpowiedzialną za swój system i musi o niego dbać we własnym zakresie. Ze wszystkimi tego konsekwencjami. Pak jedynie ułatwia pewne rzeczy (i to nawet całkiem sporo), ale nie zwolni takiego użytkownika od obowiązków, które na siebie przyjął.
« Ostatnia zmiana: Kwiecień 02, 2020, 06:48:08 am wysłana przez pavbaranov »

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #33 dnia: Kwiecień 02, 2020, 10:55:51 pm »
@pavbaranov
No, dobrze, ale po kiego grzyba on w ogóle się zabrał za tę paczkę o nazwie [python2-gnomekeyring]???
Ja ani mu nie kazałem, ani nawet nie wiem, do czego byłaby mi potrzebna.
Po prostu wykonał aktualizację i ja rozumiem, że mi powiedział, że nie ma nic do zrobienia, bo wielokrotnie miałem takie komunikaty, gdy puściłem na próbę polecenie aktualizacji.
Ale on tutaj po stwierdzeniu, że nie ma niczego do zrobienia, zaczyna sam z siebie jakąś instalację, po czym stwierdza, że INSTALACJA została przerwana.
A jakim prawem w ogóle ta instalacja?
Akurat na netbooku prawie niczego nie mam, gdyż jest tak stary, że służy mi głównie do oglądania televizji pod kontrolą Kaffeine. Pulpit też mam xfce.
Sprawdziłem czy nie ma czegoś z [qt4] - nie ma.
Aha... zainstalowałem mu także SKYPE.
Ale gdyby SKYPE potrzebował [python2-gnomekeyring], to by doinstalował w trzkcie instalacji samego SKYPE.

****************
Przed chwilą włączyłem netbooka. Pamac pokazał, że jest aktualizacja. Wrzuciłem [pacman -Syu] zrobiło bezbłednie aktualizacje i kontrolka pamac'a zgasła.
Wrzuciłem mu polecenie [pak -Syu]. Powiedział, że nie ma nic do zrobienia i zapytał czy ma instalować [python2-gnomekeyring]. Skoro pyta, więc może do czegos mu to potrzebne. Przyklepałem "T".
Znów podobna sytuacja.
Pytanie:
Dlaczego on mnie pyta czy zainstalować [python2-gnomekeyring], gdy go aktualizuje pak'iem?



« Ostatnia zmiana: Kwiecień 02, 2020, 11:28:14 pm wysłana przez Piejanto »

Offline nycko

  • Newbie
  • *
  • Wiadomości: 22
  • Reputacja: +1/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #34 dnia: Kwiecień 02, 2020, 11:28:56 pm »
przecież to co pokazujesz, to są jakieś komunikaty z bardzo archiwalnej wersji pak-a, nie nowszej niż 3.7 ze stycznia . Po co to nam wklejasz? Jak mamy się do tego ustosunkować? Uaktualnij w końcu paka do najnowszej wersji!

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #35 dnia: Kwiecień 02, 2020, 11:57:47 pm »
@piejanto - Zaczynam się jeżyć :) Pomijam już to, że - jak pisze @nycko - zaktualizuj PAK!. Doprawdy nie mamy ochoty zastanawiać się co robiła, jak robiła itd. jakaś wersja PAK sprzed dwu miesięcy.
Zatem:
pak -P new-branded/pakTo po pierwsze.

Po drugie: drugi raz Ci odpowiadam:
No, dobrze, ale po kiego grzyba on w ogóle się zabrał za tę paczkę o nazwie [python2-gnomekeyring]???
Ja ani mu nie kazałem, ani nawet nie wiem, do czego byłaby mi potrzebna.
Wydałeś polecenie:
pak -SyuKtóre: pak -h dokonuje:
* aktualizuje zainstalowane pakiety (sudo -k pacman -Syu)
sprawdza aktualizacje w AUR (jeśli 'auracle-git' jest zainstalowany)
Po stwierdzeniu braku kandydatów do aktualizacji z repozytoriów zostałeś poinformowany: "nie ma nic do zrobienia" i pak przeszedł do sprawdzania paczek, które masz zbudowane z AUR, albo masz je zainstalowane jak były w repozytorium, ale obecnie są przeniesione do AUR. Paczki python2-gnomekeyring PAK sobie nie wymyślił. Nie istnieje taka możliwość. Musiałeś ją mieć zainstalowaną u siebie, albowiem tak to działa. Odpytywana jest lokalna baza zainstalowanych pakietów (stąd PAK) wie, jakie masz i ta baza jest porównywana z tym, co jest dostępne:
- w przypadku paczek z repozytoriów: na mirrorze, który udostępniłeś systemowi,
- w przypadku paczek z AUR - w skrócie - z AUR.
Nie istnieje absolutnie żadna możliwość zainstalowania przez pak w trybie aktualizacji jakiejkolwiek paczki, której nie masz zainstalowanej już wcześniej - wyjątek to gdyby nowa wersja miała jakąś nowszą zależność, której nie masz.
Dodatkowo nie istnieje możliwość, aby paczka z AUR została zainstalowana "automatycznie". Musisz potwierdzić chęć takiej instalacji i najwyraźniej świadomie, bądź nie to zrobiłeś.
Cytuj
Ale on tutaj po stwierdzeniu, że nie ma niczego do zrobienia, zaczyna sam z siebie jakąś instalację,
To zdanie - jak to mówią w moim zawodzie - nie polega na prawdzie :) Sam z siebie pak dokonuje wyłącznie jednej rzeczy: aktualizacji systemu przy instalacji jakiejkolwiek paczki. To w istocie jest wymuszone, ale błagam nie wmawiaj mi, że "zaczyna sam z siebie jakąś instalację", a jak wynika z wcześniejszych Twoich zdań, nawet paczki, której nie masz zainstalowanej. Nie jest to możliwe! Skrypt na to nie pozwala.
Cytuj
po czym stwierdza, że INSTALACJA została przerwana.
To już wytłumaczyłem uprzednio.
Cytuj

A jakim prawem w ogóle ta instalacja?
Albowiem tego chciałeś.
Cytuj
Ale gdyby SKYPE potrzebował [python2-gnomekeyring], to by doinstalował w trzkcie instalacji samego SKYPE.
Doprawdy nie wiem po co Ci ta paczka, ale łatwo możesz sobie sprawdzić:
pak -Qi python2-gnomekeyringJeśli obecnie stwierdzi, że żaden program tego nie wymaga oraz, że nie została ta paczka zainstalowana jako zależność innej, to doprawdy nie wiem po co to zainstalowałeś.
Cytuj
Przed chwilą włączyłem netbooka. Pamac pokazał, że jest aktualizacja. Wrzuciłem [pacman -Syu] zrobiło bezbłednie aktualizacje i kontrolka pamac'a zgasła.
Wrzuciłem mu polecenie [pak -Syu]. Powiedział, że nie ma nic do zrobienia i zapytał czy ma instalować [python2-gnomekeyring]. Skoro pyta, więc może do czegos mu to potrzebne. Przyklepałem "T".
Znów podobna sytuacja.
Pytanie:
Dlaczego on mnie pyta czy zainstalować [python2-gnomekeyring], gdy go aktualizuje pak'iem?
Przecież Ci to już wytłumaczyłem: albowiem ta paczka ma nowszą wersję w AUR niż ta, którą masz zainstalowaną
Polecenia:
pacman -Syuoraz aktualizacja w pamac, jeśli ten nie ma zaznaczonej również opcji instalacji/aktualizacji z AUR wykonają jedynie aktualizację paczek, które są w repozytoriach. Nie zrobią nic z paczkami z AUR. Pierwsze - bo w ogóle nie ma takiej możliwości, drugie - bo nie ma jej zaznaczonej (gdyby miał, to efekt działania aktualizacji przez pamac i pak są takie same).
« Ostatnia zmiana: Kwiecień 03, 2020, 09:56:52 pm wysłana przez lami07 »

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #36 dnia: Kwiecień 03, 2020, 08:57:37 pm »
Panowie
@nycko
@pavbaranov

[pak -P new-branded/pak] robiłem i po tym zaoinstalowałem sobie SKYPE. Teraz mówie o moim netbooku. Z laptopem takich problemów nie mam. Teraz znów zrobiłem aktualizację pacmanem, żeby później pokazać o co chodzi z pak'iem. Teraz przesyłam Wam cały proces aktualizacji pak'iem po aktualizacji zrobionej pacmanem i restarcie komputera. Proszę, tak to wyglada w całości:


[jan@jan ~]$ pak -P new-branded/pak
 Repozytoria POLAUR nie zostały jeszcze zsynchronizowane. Użyj 'pak -Py'

[jan@jan ~]$ pak -Py

:: Synchronizowanie repozytoriów POLAUR...

 => aur-rebased
Cloning into 'aur-rebased'...
remote: Enumerating objects: 373, done.
remote: Counting objects: 100% (373/373), done.
remote: Compressing objects: 100% (291/291), done.
remote: Total 3223 (delta 116), reused 315 (delta 77), pack-reused 2850
Receiving objects: 100% (3223/3223), 12.44 MiB | 4.77 MiB/s, done.
Resolving deltas: 100% (1527/1527), done.

 => debug
Cloning into 'debug'...
remote: Enumerating objects: 1060, done.
remote: Total 1060 (delta 0), reused 0 (delta 0), pack-reused 1060
Receiving objects: 100% (1060/1060), 150.35 KiB | 601.00 KiB/s, done.
Resolving deltas: 100% (506/506), done.

 => highest-experimental
Cloning into 'highest-experimental'...
remote: Enumerating objects: 137, done.
remote: Counting objects: 100% (137/137), done.
remote: Compressing objects: 100% (85/85), done.
remote: Total 248 (delta 47), reused 121 (delta 33), pack-reused 111
Receiving objects: 100% (248/248), 67.33 KiB | 569.00 KiB/s, done.
Resolving deltas: 100% (81/81), done.

 => new-branded
Cloning into 'new-branded'...
remote: Enumerating objects: 634, done.
remote: Counting objects: 100% (634/634), done.
remote: Compressing objects: 100% (538/538), done.
remote: Total 2712 (delta 128), reused 571 (delta 83), pack-reused 2078
Receiving objects: 100% (2712/2712), 31.13 MiB | 4.45 MiB/s, done.
Resolving deltas: 100% (1024/1024), done.

 => pkg-trunk
Cloning into 'pkg-trunk'...
remote: Enumerating objects: 14, done.
remote: Counting objects: 100% (14/14), done.
remote: Compressing objects: 100% (11/11), done.
remote: Total 5288 (delta 4), reused 13 (delta 3), pack-reused 5274
Receiving objects: 100% (5288/5288), 75.48 MiB | 5.38 MiB/s, done.
Resolving deltas: 100% (2680/2680), done.

 => recompilated
Cloning into 'recompilated'...
remote: Enumerating objects: 9, done.
remote: Total 9 (delta 0), reused 0 (delta 0), pack-reused 9
Receiving objects: 100% (9/9), done.
Resolving deltas: 100% (1/1), done.

 => repo-refreshed
Cloning into 'repo-refreshed'...
remote: Enumerating objects: 340, done.
remote: Counting objects: 100% (340/340), done.
remote: Compressing objects: 100% (239/239), done.
remote: Total 7042 (delta 131), reused 277 (delta 74), pack-reused 6702
Receiving objects: 100% (7042/7042), 4.88 MiB | 3.02 MiB/s, done.
Resolving deltas: 100% (3527/3527), done.

 => wip
Cloning into 'wip'...
remote: Enumerating objects: 19, done.
remote: Counting objects: 100% (19/19), done.
remote: Compressing objects: 100% (11/11), done.
remote: Total 1675 (delta 5), reused 18 (delta 4), pack-reused 1656
Receiving objects: 100% (1675/1675), 1.37 MiB | 2.34 MiB/s, done.
Resolving deltas: 100% (757/757), done.
[jan@jan ~]$ pak -P new-branded/pak

:: Instalowanie pakietu new-branded/pak

:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

==> Tworzenie pakietu: pak 1:4.5-1 (pią, 3 kwi 2020, 20:37:06)
==> Sprawdzanie zależności potrzebnych do uruchomienia...
==> Sprawdzanie zależności potrzebnych do budowy...
==> Pobieranie źródeł...
  -> Pobieranie pak-4.5.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 50660  100 50660    0     0   113k      0 --:--:-- --:--:-- --:--:--  113k
==> Sprawdzanie plików source za pomocą sha256sums...
    pak-4.5.tar.gz ... Zgadza się
==> Rozpakowywanie źródeł...
  -> Rozpakowywanie pak-4.5.tar.gz za pomocą bsdtar
==> Wchodzenie do środowiska fakeroot...
==> Rozpoczynanie package()...
==> Sprzątanie instalacji...
  -> Usuwanie libtool plików...
  -> Usuwanie niechcianych plików...
  -> Usuwanie statycznych plików bibliotek
  -> Wyrzucanie niepotrzebnych symboli z plików binarnych i bibliotek
  -> Kompresowanie stron man oraz info...
==> Sprawdzanie problemów z pakietami...
==> Tworzenie pakietu "pak"...
  -> Generowanie pliku .PKGINFO...
  -> Generowanie pliku .BUILDINFO...
  -> Dodawanie pliku changelog...
  -> Generowanie pliku .MTREE...
  -> Kompresowanie pakietu...
==> Opuszczanie środowiska fakeroot.
==> Ukończono tworzenie: pak 1:4.5-1 (pią, 3 kwi 2020, 20:37:15)
==> Instalowanie pakietu pak za pomocą pacman -U...
[sudo] hasło użytkownika jan:
wczytywanie pakietów…
rozwiązywanie zależności…
szukanie sprzecznych pakietów...

Pakiety (1) pak-1:4.5-1

Do zainstalowania:       0,12 MiB
Zmiana po aktualizacji:  0,03 MiB

:: Kontynuować instalację? [T/n] T
(1/1) sprawdzanie kluczy w bazie                   [######################] 100%
(1/1) sprawdzanie spójności pakietów               [######################] 100%
(1/1) wczytywanie listy plików                     [######################] 100%
(1/1) sprawdzanie konfliktów plików                [######################] 100%
(1/1) sprawdzanie dostępnego miejsca na dysku      [######################] 100%
:: Przetwarzanie zmian pakietu...
(1/1) aktualizowanie pak                           [######################] 100%
Nowe opcjonalne zależności dla pak
    auracle-git: (AUR) to manage AUR packages [zainstalowano]
    downgrade: (AUR) to downgrade packages
:: Uruchamianie po-transakcji...
(1/1) Arming ConditionNeedsUpdate...
[jan@jan ~]$ pak -Syu
:: Uruchamianie aktualizacji systemu...
 nie ma nic do zrobienia

:: Uruchamianie aktualizacji z AUR...
ostrzeżenie: python2-gnomekeyring => zainstalowana: 2.32.0-18, dostępna: 2.32.0-20, opiekun: twa022, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak

Pakiety do aktualizacji:
python2-gnomekeyring 2.32.0-18 => 2.32.0-20

ostrzeżenie: Pakiety zostaną zaktualizowane w kolejności alfabetycznej. Przerwij aktualizację, jeśli jakikolwiek pakiet musi zostać zaktualizowany przed innym widniejącym na liście. W takim przypadku wykonaj pak -SA nazwa_pakietu, następnie uruchom aktualizację jeszcze raz.

:: Zaktualizować pakiety? [T/n]
:: Uruchamianie aktualizacji systemu...
[sudo] hasło użytkownika jan:
:: Synchronizowanie baz danych z pakietami…
 core jest aktualne
 extra jest aktualne
 community jest aktualne
 multilib jest aktualne
 chaotic-aur           969,8 KiB   631 KiB/s 00:02 [######################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia

:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji

:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD

:: Edytować PKGBUILD? (t/n)
Przerwane przez użytkownika

:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana

:: Uruchamianie aktualizacji z POLAUR...
 Repozytoria POLAUR nie zostały jeszcze zsynchronizowane. Użyj 'pak -Py'
[jan@jan ~]$


Oczywiście mogłem mu wklepać 'n' zamiast 'T' gdy mnie pyta czy zainstalować [python2-gnomekeyring] ale chciałem żeby było jak poprzednio
Jeśli coś tutaj chrzanię, to przepraszam, ale ja to aktualizuję jednakowo na laptopie jak i na netbooku.
I w obu przypadkach mam w zasadzie wszystko tak samo, prócz [Stellarium], które mi na netboku nie chodzi ze względu na zbyt starą kartę graficzną.

« Ostatnia zmiana: Kwiecień 03, 2020, 09:49:49 pm wysłana przez lami07 »

Offline nycko

  • Newbie
  • *
  • Wiadomości: 22
  • Reputacja: +1/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #37 dnia: Kwiecień 03, 2020, 09:19:42 pm »
Podaj proszę wynik polecenia
pak -rd python2-gnomekeyringoraz  wynik polecenia
ls -al ~/.cache/pak

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #38 dnia: Kwiecień 03, 2020, 09:37:07 pm »
Do jasnej cholery. Janek - masz z jakiegoś powodu zainstalowaną paczkę python2-gnomekeyring. Z jakiego? Bóg raczy wiedzieć, ale sama się z siebie nie wzięła. Musiałeś coś mieć zainstalowane z repozytorium!, które tego potrzebowało. Od końca stycznia ta paczka jest przez Archa porzucona i przeszła do AUR. Skoro masz ją zainstalowaną, to pak sprawdzając dostępne aktualizacje musi Ci pokazać, że paczka którą masz w systemie zainstalowaną jest w wersji starszej niż ta, którą możesz zbudować z AUR.
To jest proste jak konstrukcja cepa.
Paczka python2-gnomekeyring wymaga innych jeszcze zależności, których również nie ma w repozytorium - są w AUR. Muszą one zostać zainstalowane bądź przebudowane (jeśli mają nowsze wersje) przed jej budową. Nie moja rzecz czy Tobie potrzebna jest ta paczka, czy nie - PAK - w tym zakresie działa prawidłowo i tak jak to twórca/-y wymyślili. Niestety używanie pak nie zwalnia od opieki nad swoim systemem, jeśli do niego wprowadzone zostały paczki obce repozytoriom.
To, że jakieś paczki przechodzą z repozytoriów do AUR jest normalną rzeczą. Są programy - jak np. Qt4 (to jest przykład) - które nie są już wspierane nadal przez ich twórców. Nie istnieje zatem możliwość ich odpowiedzialnego, dalszego oferowania w systemie. Przechodzą do AUR, co zwalnia opiekunów Archa o dbania o nie. Inaczej musieliby przejąć cały ich kod i zapewnić prawidłowe działanie w tym przede wszystkim tzw. poprawki bezpieczeństwa. Są dystrybucje, które w tym zakresie wciskają kit (nie będę ich wymieniać). Są takie, które mówią: oferowaliśmy paczkę X - została porzucona - nie możemy zapewnić dalszego prawidłowego działania - wrzucamy ją w COŚ (AUR) i jeśli nadal chcesz/potrzebujesz jej używać, to używasz tego na własne życzenie i odpowiedzialność.

Twoje nas męczenie w tym momencie sprowadza się do pytania: po jakiego grzyba zainstalowałem niegdyś paczkę python2-gnomekeyring (może bezwiednie). Na to pytanie odpowiedź można udzielić sobie poprzez komendy wcześniej Ci wskazane. Niestety lub stety, ale nikt z nas nie jest opiekunem Twojego systemu i nie ma możliwości racjonalnego odpowiedzenia na to, czy w istocie tej paczki potrzebujesz, czy nie. Możemy domniemywać na podstawie pewnych danych (których brak), ale i tak odpowiedź na nie będzie obarczona pewnym błędem, który nie ma nic wspólnego z pak.

Innymi słowy - od kilku dni przebijamy się czymś, co nie ma nic wspólnego z "posługiwaniem się programem PAK", a jedynie z brakiem Twojego rozeznania w zakresie swojego systemu.

I tu niestety... mimo szczerych chęci... odpadam.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #39 dnia: Kwiecień 03, 2020, 11:56:44 pm »
@pavbaranov
Rzecz w tym, że ja tej paczki nie instalowałem świadomie i jeśli ona jest, to musiała kiedyś albo i teraz być do czegoś potrzebna. Nie wiem, czy mogę ją bezkarnie usunąć. Przepraszam. Dzięki za pomoc.


@nycko


pak -rd python2-gnomekeyring

:: Pakiety zależne od: python2-gnomekeyring
python2-gnomekeyring
[jan@jan ~]$



[jan@jan ~]$ ls -al ~/.cache/pak
razem 28
drwxr-xr-x  7 jan jan 4096 04-03 20:34 .
drwxr-xr-x 14 jan jan 4096 02-15 19:24 ..
drwxr-xr-x  3 jan jan 4096 11-22 17:09 auracle-git
drwxr-xr-x  2 jan jan 4096 03-28 22:19 downloaded
drwxr-xr-x  3 jan jan 4096 01-23 23:59 pamac-classic
drwxr-xr-x  8 jan jan 4096 04-03 20:37 pkgs
drwxr-xr-x  9 jan jan 4096 04-03 20:39 polaur
[jan@jan ~]$

Wynika mi z tego, że jedynym pakietem zależnym od [python2-gnomekeyring] jest pakiet [python2-gnomekeyring].
Zatem mogę to-to po prostu wyrzucić.
Dobrze myślę?
« Ostatnia zmiana: Kwiecień 04, 2020, 12:16:51 am wysłana przez Piejanto »

Offline nycko

  • Newbie
  • *
  • Wiadomości: 22
  • Reputacja: +1/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #40 dnia: Kwiecień 04, 2020, 12:19:30 am »
Możesz bez większych obaw  usunąć  python2-gnomekeyring. Nic w systemie tego nie potrzebuje. A druga sprawa - usuń katalog ~/.cache/pak i wykonaj ponownie pak -Py a po nim pełną aktualizację -Syu

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #41 dnia: Kwiecień 04, 2020, 03:56:19 am »
@pavbaranov
Rzecz w tym, że ja tej paczki nie instalowałem świadomie i jeśli ona jest, to musiała kiedyś albo i teraz być do czegoś potrzebna. Nie wiem, czy mogę ją bezkarnie usunąć.
Janku, tyle, że "jak korzystać z PAK", a "nie wiem, czy mogę usunąć" paczkę, to dwie różne rzeczy. Jest - o czym Ci wyżej (https://forum.linuxiarze.pl/index.php/topic,3996.msg24881.html#msg24881) wspomniałem, takie genialne polecenie:
pacman -Qi nazwa_paczki{/code] które już raz było poruszone nawet w tym wątku. Po jego wydaniu widzisz m.in.
[code](...)
Wymagany przez        : aisleriot  brave  firefox  thunderbird
Opcjonalny dla        : avahi  firewalld  ghostscript  gpsd  gssdp  jre-openjdk  kde-gtk-config  libinput
                        libreoffice-fresh  qt5-base  vlc
Konfliktuje z         : gtk3-print-backends
Zastępuje             : gtk3-print-backends<=3.22.26-1
Data zainstalowania   : sob, 28 mar 2020, 08:11:38
Powód zainstalowania  : Zależność innego pakietu
(...)
I masz tu całą wiedzę potrzebną do zdecydowania do czego jest Ci dana paczka w systemie. Jeśli w polu "Wymagany przez" jest cokolwiek, to oznacza, że ta paczka jest potrzebna. Z pola "Powód zainstalowania" dowiesz się czy sam to zainstalowałeś (wówczas będzie "Ręczny") czy coś tę paczkę pociągnęło jako zależność (jw.). Pozostałe przycięte tu informacje umożliwiają też uzyskanie wiedzy, która jest istotna z punktu widzenia podjęcia decyzji o tym, co z nią dalej robić. Tę informację dostałeś już dawno i nie ma ona nic wspólnego z używaniem PAK, a z wiedzą o używaniu pacmana i ogólnie jest dość podstawowa dla Archa (i każdego systemu, który opiera się o pacmana).
Cały problem z tą pisaniną taki, że informacja poszła do Ciebie, a Ty dalej, że cośtam. Po prostu uważniej czytaj co się pisze, wyciągaj wnioski, w razie czego pytaj. Wówczas z przyjemnością każdy Ci odpowie.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #42 dnia: Kwiecień 05, 2020, 12:34:40 pm »
@pavbaranov
No, fakt że było na temat [-Qi] ale się troche pogubiłem, bo tamto pacman a tu pak. Zrobiłem pacman -Qi
i mi wyszło :
 pacman -Qi python2-gnomekeyring
Nazwa                 : python2-gnomekeyring
Wersja                : 2.32.0-18
Opis                  : Python bindings for libgnome-keyring
Architektura          : x86_64
Adres url             : https://www.gnome.org
Licencje              : GPL  LGPL
Grupy                 : Brak
Dostarcza             : Brak
Zależy od             : pygtk  libgnome-keyring
Opcjonalne zależności : Brak
Wymagany przez        : Brak
Opcjonalny dla        : Brak
Konfliktuje z         : python-gnomekeyring<=2.32.0-10
Zastępuje             : python-gnomekeyring<=2.32.0-10
Rozmiar po instalacji : 73,00 KiB
Autor pakietu         : Evangelos Foutras <evangelos@foutrelis.com>
Data zbudowania       : sob, 10 lis 2018, 00:07:11
Data zainstalowania   : wto, 13 lis 2018, 23:30:54
Powód zainstalowania  : Ręczny
Skrypt instalacyjny   : Nie
Potwierdzone przez    : Podpis

Najbardziej mnie zdumiewa "powód zainstalowania "Ręczny"". Bo na pewno nie instalowałbym czegoś o czym nie mam pojęcia.
Dzięki za wyrozumiałość.
Wywalam to coś co do niczego nie służy a jedynie zastępuje samo siebie i z samym sobą konfliktuje.
Dostałem może zbyt wielką "paczkę do przetrawienia". Zrobiłem sobie katalogi z poleceniami PAK-a i z poleceniami PACMAN-a ale to chyba błąd i muszę to jakoś połączyć, żeby mi się złożyło i zazębiło w rozumie.
Dziekuje

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 2190
  • Reputacja: +11/-1
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #43 dnia: Kwiecień 05, 2020, 12:53:34 pm »
Jeśli:
"Powód zainstalowania: Ręczny"
to wg mnie innej opcji nie ma - taka paczka musiała być zainstalowana "ręcznie", czyli poprzez konkretnie wydane polecenie: pacman -S paczka.

Jeśli chodzi o "zestawienie" poleceń pak vs. pacman, to są one w części dotyczącej obsługi pacmana przez pak takie same z wyjątkami, które widzisz po wydaniu polecenia: pak -h. Innych różnic nie ma, choć niektóre są wyłącznie funkcjonalne jak np. pak -S paczka, które jest równoważne pacman -Syu paczka. W przypadku poleceń dotyczących odpytania bazy paczek o pakiety (-Q) to są one dokładnie takie same.

Offline Piejanto

  • Sr. Member
  • ****
  • Wiadomości: 341
  • Reputacja: +0/-0
Odp: Jak posługiwać się programem PAK?
« Odpowiedź #44 dnia: Kwiecień 05, 2020, 01:05:10 pm »
@pavbaranov
Dla mnie tez logiczne, że jeśli wykazuje "ręczna", to powinienem zainstalować z własnej i nieprzymuszonej woli, ale tak nie jest.
Po usunięciu [python2-gnomekeyring] i wrzuceniu poklecenia [pak -Syu] aktualizacja z AUR nie wykazuje już ostrzeżeń w sprawie

"Uruchamianie aktualizacji z AUR...
ostrzeżenie: python2-gnomekeyring => zainstalowana: 2.32.0-18, dostępna: 2.32.0-20, opiekun: twa022, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak"

i pozostaje ostrzeżenie jedynie w sprawie [Vue-scan]:

"Uruchamianie aktualizacji z AUR...
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak
 nie ma nic do zrobienia"

To chyba dobrze?